## IdeLspCompletionProvider IdeLspCompletionProvider |

## Functions

IdeLspClient * | ide_lsp_completion_provider_get_client ()
void | ide_lsp_completion_provider_set_client ()

## Properties

IdeLspClient * | client | Read / Write

## Types and Values

#define | IDE_TYPE_LSP_COMPLETION_PROVIDER
#define | IDE_LSP_COMPLETION_PROVIDER_PRIORITY
struct | IdeLspCompletionProviderClass
| IdeLspCompletionProvider

## Object Hierarchy

        GObject
        ╰── IdeObject
            ╰── IdeLspCompletionProvider

## Implemented Interfaces

IdeLspCompletionProvider implements IdeCompletionProvider.

## Description

## Functions

### ide_lsp_completion_provider_get_client ()

    IdeLspClient *
    ide_lsp_completion_provider_get_client
                                   (IdeLspCompletionProvider *self);

Gets the client for the completion provider.

#### Parameters

self | An IdeLspCompletionProvider |

#### Returns

An IdeLspClient or `NULL`.

[transfer none][nullable]

### ide_lsp_completion_provider_set_client ()

    void
    ide_lsp_completion_provider_set_client
                                   (IdeLspCompletionProvider *self,
                                    IdeLspClient *client);

## Types and Values

### IDE_TYPE_LSP_COMPLETION_PROVIDER

    #define IDE_TYPE_LSP_COMPLETION_PROVIDER (ide_lsp_completion_provider_get_type())

### IDE_LSP_COMPLETION_PROVIDER_PRIORITY

    #define IDE_LSP_COMPLETION_PROVIDER_PRIORITY 200

### struct IdeLspCompletionProviderClass

    struct IdeLspCompletionProviderClass {
      IdeObjectClass parent_class;
    };

### IdeLspCompletionProvider

    typedef struct _IdeLspCompletionProvider IdeLspCompletionProvider;

## Property Details

### The `“client”` property

      “client”                   IdeLspClient *

The Language Server client.

Owner: IdeLspCompletionProvider

Flags: Read / Write